Package org.apache.sysds.runtime.instructions.spark

# Class AppendGSPInstruction.MergeWithShiftedBlocks

java.lang.Object
org.apache.sysds.runtime.instructions.spark.AppendGSPInstruction.MergeWithShiftedBlocks

All Implemented Interfaces:
  `Serializable`, `org.apache.spark.api.java.function.PairFunction<scala.Tuple2<MatrixIndexes,scala.Tuple2<Iterable<MatrixBlock>,Iterable<MatrixBlock>>>,MatrixIndexes,MatrixBlock>`

Enclosing class:
  AppendGSPInstruction

public static class AppendGSPInstruction.MergeWithShiftedBlocks extends Object implements org.apache.spark.api.java.function.PairFunction<scala.Tuple2<MatrixIndexes,scala.Tuple2<Iterable<MatrixBlock>,Iterable<MatrixBlock>>>,MatrixIndexes,MatrixBlock>

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`MergeWithShiftedBlocks(DataCharacteristics mc1, DataCharacteristics mc2, boolean cbind)`

## Method Summary

Modifier and Type
Method
Description
`scala.Tuple2<MatrixIndexes,MatrixBlock>`
`call(scala.Tuple2<MatrixIndexes,scala.Tuple2<Iterable<MatrixBlock>,Iterable<MatrixBlock>>> kv)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MergeWithShiftedBlocks

public MergeWithShiftedBlocks(DataCharacteristics mc1, DataCharacteristics mc2, boolean cbind)

## Method Details

### call

public scala.Tuple2<MatrixIndexes,MatrixBlock> call(scala.Tuple2<MatrixIndexes,scala.Tuple2<Iterable<MatrixBlock>,Iterable<MatrixBlock>>> kv) throws Exception

Specified by:
  `call` in interface `org.apache.spark.api.java.function.PairFunction<scala.Tuple2<MatrixIndexes,scala.Tuple2<Iterable<MatrixBlock>,Iterable<MatrixBlock>>>,MatrixIndexes,MatrixBlock>`
Throws:
  `Exception`